<template>
  <div class="global-ranking">
    <div
      class="ranking-element"
      v-for="(specialist, index) in specialists"
      :key="index"
    >
      <v-card class="mb-5 tway-card" :class="`ranking-card-${index + 1}`">
        <v-list-item>
          <v-list-item-avatar size="70">
            <v-img
              :src="require(`@/assets/img/maqueta/${specialist.logo}`)"
              contain
            />
          </v-list-item-avatar>
          <v-list-item-content>
            <v-list-item-title class="tway-headline-3 text-uppercase">
              {{ specialist.name }}
            </v-list-item-title>
            <v-list-item-subtitle class="d-flex">
              <span class="tway-body-text mr-2 black--text">
                {{ specialist.rating }}
              </span>
              <v-rating
                v-model="specialist.rating"
                color="tway-violet"
                dense
                half-increments
                half-icon="mdi-star-half-full"
                readonly
                size="20"
              />
              <span class="tway-body-text ml-2">
                {{ specialist.clientComments }} comentarios
              </span>
            </v-list-item-subtitle>
          </v-list-item-content>
          <v-list-item-icon>
            <v-img
              v-if="index < 3"
              :src="
                require(`@/assets/img/maqueta/${specialist.place}-place.svg`)
              "
            />
            <div
              v-else
              class="ranking-card-placement-value tway-violet-2--text"
            >
              {{ index + 1 }}
            </div>
          </v-list-item-icon>
        </v-list-item>
        <v-card-text class="py-0">
          <v-row>
            <v-col
              xs="12"
              sm="12"
              md="9"
              lg="9"
              class="d-flex align-start flex-column"
            >
              <div v-if="index < 3">
                <span class="tway-body-text black--text">
                  {{ specialist.contributionValue }}
                </span>
                <v-btn
                  outlined
                  rounded
                  color="tway-violet"
                  class="ml-2"
                  x-small
                >
                  Seguir leyendo
                </v-btn>
              </div>
              <div class="mt-auto">
                <v-chip
                  v-for="(service, i) in specialist.services"
                  :key="i"
                  class="tway-violet-4 tway-violet--text mr-2"
                >
                  {{ service }}
                </v-chip>
              </div>
            </v-col>
            <v-col xs="12" sm="12" md="3" lg="3">
              <div class="text-right">
                <div
                  class="ranking-card-criteria-title tway-violet-2--text mb-2"
                >
                  SECTORES
                </div>
                <div class="mb-2">
                  <v-icon
                    v-for="(sector, i) in specialist.industrialSectors"
                    :key="i"
                    class="tway-violet--text ml-1"
                  >
                    {{ sector }}
                  </v-icon>
                </div>
                <div v-if="index < 3">
                  <div class="ranking-card-criteria-title tway-violet-2--text">
                    PROYECTOS
                  </div>
                  <div class="mb-2 tway-purple--text">
                    <div class="tway-display-2">
                      {{ specialist.projectsNumber }}
                    </div>
                  </div>
                  <div class="ranking-card-criteria-title tway-violet-2--text">
                    TRAYECTORIA
                  </div>
                  <div class="tway-purple--text">
                    <span class="tway-display-2">{{
                      specialist.trajectory
                    }}</span>
                    años
                  </div>
                </div>
              </div>
            </v-col>
          </v-row>
        </v-card-text>
      </v-card>
    </div>
  </div>
</template>

<script>
import top5 from "@/utils/top5Specialists.json";

export default {
  name: "GlobalRanking",

  data: () => ({
    specialists: [],
  }),

  created() {
    this.getTop5();
  },

  methods: {
    getTop5() {
      this.specialists = top5;
    },
  },
};
</script>

<style scoped>
.ranking-card-4,
.ranking-card-5 {
}

.ranking-card-criteria-title {
  font-size: 10px;
  line-height: 12px;
  text-transform: uppercase;
}

.ranking-card-placement-value {
  font-size: normal;
  font-weight: bold;
  font-size: 33px;
  line-height: 34px;
}
</style>
